SolrQuery::getFacetQueries
SolrQuery::getFields
SolrQuery
PHP Manual

# SolrQuery::getFacetSort

(PECL solr >= 0.9.2)

SolrQuery::getFacetSort — Returns the facet sort type

### Description

public int SolrQuery::getFacetSort ([ string `$field_override` ] )

Returns an integer (SolrQuery::FACET_SORT_INDEX or SolrQuery::FACET_SORT_COUNT)

### Parameters

`field_override`

  The name of the field

### Return Values

Returns an integer (SolrQuery::FACET_SORT_INDEX or SolrQuery::FACET_SORT_COUNT) on success or `NULL` if not set.

SolrQuery::getFacetQueries
SolrQuery::getFields
SolrQuery
PHP Manual